import {
    JsonController,
    Param,
    Body,
    Get,
    Post,
    Put,
    Delete,
} from "routing-controllers";
import { OpenAPI } from "routing-controllers-openapi";

@JsonController()
export class TrackController {
    @Get("/track")
    getAll() {
        return "This action returns all users";
    }

    @Get("/track/:id")
    getOne(@Param("id") id: number) {
        return "This action returns user #" + id;
    }

    @Post("/track")
    post(@Body() user: any) {
        return "Saving user...";
    }

    @Put("/track/:id")
    put(@Param("id") id: number, @Body() user: any) {
        return "Updating a user...";
    }

    @Delete("/track/:id")
    remove(@Param("id") id: number) {
        return "Removing user...";
    }
}
